sap.ui.define([
    "sap/m/MessageToast"
], function(MessageToast) {
    'use strict';

    return {
        sampleNavigation: function(oEvent) {
            const Navigation = sap.ushell.Container.getServiceAsync("Navigation")
                .then((navigationService)=>{
                    navigationService.navigate({
                        target : { semanticObject : "ZSPCustomer", action: "display" },
                        params : {  }
                    })
                });
        }
    };
});